Subject: [ericas] AFRICANs @ the IETF 88

From: Asmic Computers ZA/NG <[email-masked]>
Date: Thu, 7 Nov 2013 14:54:06 +0100 (CET)

Hi The African folks@IETF 88,
Is it possible for us to meet for a brief meeting today or tomorrow (before we
all depart to our various destinations)?

I would be interested in talking to you all on how we can improve on our
representation and contributions to the IETF. It would also be good to discuss
how we can help develop the continent via this network.

Regards,
Michael Adeyeye (Ph.D)

---

From: Asmic Computers ZA/NG <[email-masked]>
Date: Fri, 8 Nov 2013 14:23:50 +0100 (CET)

> ---------- Original Message ----------
>  From: Asmic Computers ZA/NG <[email-masked]>
>  To: Spencer Dawkins <[email-masked]>, "Fred Baker (fred)"
> <[email-masked]>
>  Cc: "[email-masked]" <[email-masked]>
>  Date: 08 November 2013 at 11:53
>  Subject: Re: [88attendees] AFRICANs @ the IETF 88
> 
>  Many thanks goes to Spencer Dawkins and Fred Baker for the non-exhaustive
> list of things we should also look into. They are highly informative.
> 
> 
>  There are just so much things to talk about that time wouldn't permit us to
> do this morning.
> 
> 
>  Parts of the Agenda:::
>  1. Contributing to the IETF: The IETF 88 just showed many of us how ideas are
> turned into standards. Wouldn't it be good to see (native) African names on an
> RFC, IAB, WG-chairs, e.t.c.? One way of doing so is by having a "fighting
> spirit" with continuous mentorship/support from the IETF members & various
> bodies. Just before  the term "WebRTC or RTCWeb" came into the limelight in
> 2011 (https://en.wikipedia.org/wiki/WebRTC), someone from Africa had earlier
> seen a need for it
> (http://conferences.sigcomm.org/co-next/2007/papers/studentabstracts/paper23.pdf).
> It was in 2007 that the idea first came up and a proof of concept was later
> developed (http://bit.ly/R3SFtc). Today, the RTCWeb Working Group is now
> standardizing it.  It started out as an application (OR an idea) -i.e.
>  getting SIP into browsers for browser-to-browser communication. I am certain
> that there are some many other ideas like that coming out of Africa. We now
> need to push ourselves further to get our names there.
> 
>  2. Getting more people involved: AT the moment, over ten people (students,
> academics, e.t.c.) from different African countries have asked me how they can
> get involved in the IETF activities. SOme other IETF 88 fellows from the
> continent have also suggested that we talk about ways of sharing our
> experiences. The situation is not peculiar to Africa. Many thanks to the task
> force from South America that now wants to guide us on possible
> ways/solutions.
> 
>  3. Re-imaging the world's view about Africa: Yes, I used the word "re-image."
> I am referring to the computing concept from "virtual images."  What people
> hear/see about the continent (mostly negative things) is different from what
> they see, when the visit (some parts of) the continent.   How do we get the
> continent to earn its own respect like Asia and South America? (Ref -
> http://www.siliconafrica.com/it-takes-a-network-to-beat-a-network/)
> 
> 
>  Please feel free to dump your thoughts as you've been doing.....
> 
>  Regards.
> 
> 
>  > On 08 November 2013 at 08:30 Spencer Dawkins
>  > <[email-masked]> wrote:
>  >
>  >
>  > On 11/7/2013 8:24 PM, Fred Baker (fred) wrote:
>  > > On Nov 7, 2013, at 3:07 AM, Asmic Computers ZA/NG <[email-masked]>
>  > > wrote:
>  > >> representation and contributions to the IETF. It would also be good to
>  > >> discuss how we can help develop the continent via this network.
>  > > An important consideration in this is that while your presence in
>  > > meetings is valuable, your presence on mailing lists is also valuable and
>  > > comparatively inexpensive. As a first step, you might consider looking
>  > > through the set of drafts labeled draft-ietf-*.txt, which is to say
>  > > "working group drafts". Their working group will generally be the third
>  > > word, like draft-ietf-ospf or draft-ietf-v6ops. Access them online, and,
>  > > if they interest you, comment on them. The most interesting comments will
>  > > be those that improve them in some way - identify issues and suggest
>  > > text. That will get african viewpoints into discussions regarding current
>  > > work product.
>  > >
>  > > BTW, the same goes for south americans and anyone else that feels
>  > > under-represented. Get involved on mailing lists.
>  > >
>  > > Daily news can be found at https://www.ietf.org, and specifically
>  > > http://tools.ietf.org/dailydose/. It takes a minute to look at it, and
>  > > from time to time you may find something of interest to comment on. You
>  > > can also go to http://tools.ietf.org/html/.
>  > >
>  > > If you need guidance regarding a given working group, the obvious people
>  > > to get it from are the chairs, which you can reach by emailing the
>  > > [email-masked] list for the working group. For example, if you
>  > > want to reach the v6ops chairs, email [email-masked]. For a
>  > > list of the working groups and access to their charters and their mailing
>  > > list membership processes, go to http://datatracker.ietf.org/wg/.
>  > >
>  > > The next step might include writing your own drafts and submitting them
>  > > for discussion. But you don't need to rush into that; get a sense of
>  > > what's going on and then contribute to it.
>  >
>  > I agree with Fred's suggestions, and wanted to mention a couple of other
>  > things ...
>  >
>  > If during your checking around you find problems with protocols we're
>  > working on that don't work in your particular country or environment,
>  > please tell us.
>  >
>  > I'm remembering (possibly dreaming, it's been a long week) that GeoPriv
>  > was rolling along when someone somewhere in Asia pointed out that in
>  > their country, and perhaps only in their country, some civic addresses
>  > included *alleys*, and asked how these addresses should be encoded. If
>  > we hadn't heard from participants from that country, we wouldn't have
>  > known until someone tried to deploy products in that country
>  > (inconveniently late for a standards discussion).
>  >
>  > The TSV area has been looking at a tunneling/compression/multiplexing
>  > proposal (details at http://www.ietf.org/proceedings/87/tcmtf.html, and
>  > this is likely to pop back up at IETF 89 in London, if the BOF
>  > requestors ask for that). It turns out that we got some support from
>  > African participants who find it fits their connectivity to the rest of
>  > the Internet.
>  >
>  > You might also check out the discussions to date on the diversity
>  > mailing list, where people are doing things like asking what it would
>  > take to set up regional meetings for folks who can't travel to an IETF
>  > meeting, so that more people can engage and contribute. See
>  > http://www.ietf.org/mail-archive/web/diversity/current/maillist.html for
>  > the archive.
>  >
>  > If you're thinking about how to help people back home who weren't able
>  > to attend, you might also make use of training materials from the Sunday
>  > tutorials (for instance, the IETF 87 Newcomer's Training is at
>  > http://www.ietf.org/proceedings/87/slides/slides-87-edu-newcomers-4.pdf
>  > - I just reported that the IETF 88 version returned a 404/not found).
>  > These aren't all process tutorials, either - for instance, if people
>  > care about realtime applications and infrastructure,
>  > http://www.ietf.org/proceedings/88/slides/slides-88-edu-introtorai-0.pdf
>  > would be helpful.
>  >
>  > I hope this helps you and your colleagues contribute effectively to the
>  > IETF.
>  >
>  > Spencer, in this case, writing as an AD
>  >
>